Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009345New issuesSecuritypublic2016-08-23 01:292017-03-10 21:33
ReporterALBANDER 
Assigned Toccw 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0009345: [Request] Custom Detection "SD # 30" (Disallow autohotkey scripts & programs) due cheating
Description[Request] Custom Detection "SD # 30" (Disallow autohotkey scripts & programs) due cheating



autohotkey's scripts can be used for cheat in MTA like "Auto C-bug"
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0025072)
ccw (administrator)
2016-08-23 01:47

Good idea
(0025073)
ALBANDER (viewer)
2016-08-23 01:52
edited on: 2016-08-25 11:12

can you make it in MTA ?


NOTE : I mean all autohotkey programs , not "https://autohotkey.com/ [^]
" only !




reply....?

(0025091)
AlexTMjugador (viewer)
2016-08-25 16:42

I think that it is trivial to cancel the onClientKey event if it detects that a player presses and/or releases buttons very quickly (<25 ms, for example), so this is already possible to script in MTA. Nevertheless, I also think that this kind of anti-cheat measures should be enforced in MTA itself, because installing a resource just to avoid this seems impractical and so SAMPish to me, and not-that-professional server owners might not even notice the existance of such a resource.

All in all, I think that this idea would be a nice addition to the current anti-cheat system.
(0025113)
ALBANDER (viewer)
2016-08-27 15:56
edited on: 2016-11-26 20:23

Alex , you are right it can be solved by onClientKey event , but it can be bypassed , also i want this feature in all servers


the solve it's make custom detection SD # 30

up.............................................................

(0025442)
Dutchman101 (reporter)
2016-11-27 06:45
edited on: 2016-11-27 06:45

''can be used for cheat in MTA like "Auto C-bug"''
Not even needed to perform C-bug, see it still exists: https://www.youtube.com/watch?v=J2QMGAkDj3o [^]

I'm not going to tell how though (so I can safely show the video though), the repro and details are in a private #: https://bugs.multitheftauto.com/view.php?id=9353 [^]

Both must be fixed; the C-bug on mint MTA and the variant assisted by programs like Autohotkey. But lack of priority..

(0025527)
ALBANDER (viewer)
2016-12-21 18:21
edited on: 2017-01-21 09:36

Up.. , Any news ?.....

(0025695)
ccw (administrator)
2017-03-10 21:33

See https://wiki.multitheftauto.com/wiki/Anti-cheat_guide [^]

- Issue History
Date Modified Username Field Change
2016-08-23 01:29 ALBANDER New Issue
2016-08-23 01:47 ccw Note Added: 0025072
2016-08-23 01:52 ALBANDER Note Added: 0025073
2016-08-25 11:12 ALBANDER Note Edited: 0025073 View Revisions
2016-08-25 16:42 AlexTMjugador Note Added: 0025091
2016-08-27 15:56 ALBANDER Note Added: 0025113
2016-08-27 15:57 ALBANDER Note Edited: 0025113 View Revisions
2016-09-22 05:41 ALBANDER Note Edited: 0025113 View Revisions
2016-11-26 20:23 ALBANDER Note Edited: 0025113 View Revisions
2016-11-27 06:45 Dutchman101 Note Added: 0025442
2016-11-27 06:45 Dutchman101 Note Edited: 0025442 View Revisions
2016-12-21 18:21 ALBANDER Note Added: 0025527
2017-01-21 09:36 ALBANDER Note Edited: 0025527 View Revisions
2017-03-10 21:33 ccw Note Added: 0025695
2017-03-10 21:33 ccw Status new => resolved
2017-03-10 21:33 ccw Resolution open => fixed
2017-03-10 21:33 ccw Assigned To => ccw


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker